Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore Personalize
Data privacy
Before you start sending data
Integrating with Sitecore Personalize
Stream API
Personalize API Flow execution
REST APIs
  • Sitecore Personalize for developers
  • REST APIs
  • Decision model REST API
  • Update a decision model

Update a decision model

PUT /v2/decisionModelDefinitions/<decisionModelRef>

Updates a decision model. Every update increases the value in the revision key by one.

Each variantRef has an assigned split value which determines the audience percentage that the decision model will impact. The split values of the variantRef  attribute(s) must total 100.

Attribute

Type

Description

Example

decisionModelRef

string

The reference of the decision model.

If you do not know the decision model reference, first retrieve decision models.

865ce079-6012-4f97-bc46-07215691a178

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

name

string

The name of the decision model.

"Determine Ancillary Upsell"

deploymentConfiguration

object

An object that contains the variants array.

"mys3cr3tstr1ingforauth1!x"

deploymentConfiguration.variants

array

An array of objects. Every object describes a variant.

You can leave this array empty.

"mys3cr3tstr1ingforauth1!x"

If you do not leave the variants array empty, every object in the array must include the following required attributes:

Attribute

Type

Description

Example

variantRef

string

The reference of the decision model variant.

"19700f15-4069-4121-b709-1031118677c8"

split

integer

The audience percentage that the decision model variant will impact.

80

status

string enum (uppercase)

The status of the decision model variant.

Must be one of the following:

  • "DRAFT"

  • "TEST"

  • "PRODUCTION"

  • "ARCHIVED"

variantRevision

integer

The sequential number of the decision model variant revision.

2

The deploymentConfiguration object:

RequestResponse
"deploymentConfiguration": {
        "variants": [
            {
                "variantRef": "19700f15-4069-4121-b709-1031118677c8",
                "split": 80,
                "status": "PRODUCTION",
                "variantRevision": 2
            }
        ]
    }

Archiving a decision model:

RequestResponse
curl -X PUT '<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "name": "Determine Ancillary Upsell",
    "archived": true,
    "deploymentConfiguration": {
        "variants": []
    }
}'
RequestResponse
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178",
    "ref": "865ce079-6012-4f97-bc46-07215691a178",
    "name": "Determine Ancillary Upsell - archived 2025-10-10 16:04",
    "modifiedByUserRef": "c008c81d-4941-46aa-b4e6-a17e8388498a",
    "modifiedAt": "2025-10-10T16:04:20.878Z",
    "revision": 4,
    "archived": true,
    "deploymentConfiguration": {
        "variants": []
    },
    "variants": {
        "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/variants"
    },
    "revisions": {
        "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions"
    }
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore